@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background: #FFFFFF;
}

/* OVERLAY */
.modal-overlay{
  position: fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background: rgba(0,0,0,0.5);
  display:flex;
  align-items:center;
  justify-content:center;
  z-index:9999;
}

.user_info{
  display: flex;
  align-items: center;
  gap: 15px;
}
.user_info a{
  text-decoration: none;
}

.field input{
  border:none;
  outline:none;
  width:100%;
}
/* BOX */
.modal-box{
  width:420px;
  background:#fff;
  padding:30px;
  border-radius:20px;
  position:relative;
  box-shadow:0 20px 60px rgba(0,0,0,0.2);
}

.icon img{
  width:45px;
  height: 45px;

}
/* CLOSE */
.close{
  position:absolute;
  top:20px;
  right:25px;
  font-size:26px;
  cursor:pointer;
  color:#6B7280;
}

/* HEADER */
.modal-header{
  display:flex;
  align-items:center;
  gap:20px;
  margin-bottom:10px;
}

.modal-header .icon{
  width:35px;
  height:35px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  color:#FF3600;
}

.modal-header h3{
  font-size:20px;
}

/* TEXT */
.modal-text{
  font-size:15.5px;
  color: #6B7280;
  margin:25px 0px 20px 0px;
}

/* INPUT */
.phone-input{
  display:flex;
  border:1px solid #EFEFEF;
  border-radius:10px;
  overflow:hidden;
  margin-top:10px;
}

.phone-input span{
  background:#f5f5f5;
  padding:10px 12px;
  font-size:16px;
}

.phone-input input{
  flex:1;
  border:none;
  padding:12px 10px;
  outline:none;
font-size: 16px;
}

/* BUTTON */
.modal-btn{
    background: #F4511E;
    color: #fff;
    border: none;
    padding: 12px 20px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
    font-size: 16px;
    font-weight: 500;
    width: 100%;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
    margin-top: 20px;
}
.phones{
  font-size:16px;
  font-weight: 500;
  color: #151515;;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* OTP BOX */
.otp-box{
  width:480px;
  padding:35px;
}

/* OTP INPUTS */
.otp-inputs{
  display:flex;
  gap:15px;
  margin:25px 0;
}

.otp-inputs input{
  width:60px;
  height:60px;
  text-align:center;
  font-size:22px;
  border-radius:12px;
  border:1px solid #ddd;
  outline:none;
}

/* FOCUS */
.otp-inputs input:focus{
  border-color:#F4511E;
  box-shadow:0 0 0 2px rgba(244,81,30,0.1);
}

/* RESEND */
.resend{
  font-size:15px;
  color:#777;
}

.resend span{
  color:#F4511E;
  font-weight:600;
  cursor:pointer;
}

/* EDIT */
.edit{
  color:#F4511E;
  margin-left:10px;
  cursor:pointer;
}